import React from "react";

const MODERN_BUTTON_STYLE: React.CSSProperties = {
  marginTop: 32,
  padding: "1em 2.5em",
  fontSize: 20,
  borderRadius: 12,
  border: "none",
  background: "linear-gradient(90deg, #646cff 0%, #7f53ff 100%)",
  color: "#fff",
  fontWeight: 700,
  cursor: "pointer",
  boxShadow: "0 2px 12px #646cff33",
  transition: "background 0.2s, box-shadow 0.2s",
  minWidth: 200,
  letterSpacing: 1,
};

export function UuidControls({ loading, onGenerate, onAbort }: {
  loading: boolean;
  onGenerate: () => void;
  onAbort: () => void;
}) {
  return (
    <>
      <button
        style={{
          ...MODERN_BUTTON_STYLE,
          opacity: loading ? 0.6 : 1,
          pointerEvents: loading ? "none" : "auto",
        }}
        onClick={onGenerate}
        disabled={loading}
      >
        {loading ? "Generating..." : "Generate UUIDv4"}
      </button>
      {loading && (
        <button
          style={{
            ...MODERN_BUTTON_STYLE,
            background: "#ff4d6d",
            marginTop: 12,
            minWidth: 120,
          }}
          onClick={onAbort}
        >
          Abort
        </button>
      )}
    </>
  );
} 