import React from "react";

const MODERN_FOOTER_STYLE: React.CSSProperties = {
  marginTop: 40,
  color: "#b3b3d1",
  fontSize: 15,
  textAlign: "center",
  opacity: 0.85,
  lineHeight: 1.7,
};

const EMOJI_FOOTER = "\uD83E\uDDE0 All AI runs 100% in your browser.";

export function UuidFooter() {
  return (
    <div style={MODERN_FOOTER_STYLE}>
      <span>
        Powered by
        {" "}
        <a
          href="https://github.com/mlc-ai/web-llm"
          style={{ color: "#646cff", textDecoration: "underline dotted" }}
          target="_blank"
          rel="noopener noreferrer"
        >
          WebLLM
        </a>
        {" & Qwen2.5-0.5B-Instruct"}
        <br />
        {EMOJI_FOOTER}
        <br />
        <a
          href="https://git.hannover.ccc.de/lubiana/uuid"
          style={{ color: "#646cff", textDecoration: "underline dotted" }}
          target="_blank"
          rel="noopener noreferrer"
        >
          Source code
        </a>
      </span>
    </div>
  );
} 